Summary: File cleaner and optimizer for Matroska & WebM files
Name: mkclean
%global upstream_name foundation-source
Version: 0.8.10
Release: 1%{?dist}
License: BSD
URL: https://www.matroska.org/downloads/%{name}.html
%global upstream_source_name %{upstream_name}-%{name}-%{version}
Source:	https://github.com/Matroska-Org/%{upstream_name}/archive/%{name}-%{version}.tar.gz#downloadsas=%{upstream_source_name}.tar.gz
BuildRequires: gcc-c++, libtool

%description
%{name} is a command line tool to clean and optimize Matroska (.mkv / .mka / .mks / .mk3d) and WebM (.webm / .weba) files that have already been muxed. It reorders the elements with the Cues at the front, so your Matroska files are ready to be streamed efficiently over the web. It also removes elements not found in the Matroska specs and the extra Meta Seek list of Clusters that some program add to their file. It can also optionally remux the Cluster blocks to start each boundary with a keyframe and the matching audio/subtitle blocks for that keyframe.

Also comes with mkWDclean to modify files in a way they can play in broken/incomplete players.

# coremake strips its executables, so making a debug package breaks the rpmbuild
%global debug_package %{nil}

%prep
%autosetup -n %{upstream_source_name}

%build
# 1/ To build these sources you first need to build coremake:
%global coremake_dir corec/tools/coremake
%make_build -s -C %{coremake_dir}
%global coremake %{coremake_dir}/coremake
# 2/ Generate the makefiles
%global system_output %{coremake_dir}/system_output.sh
[ -x "%{system_output}" ] || chmod a+x %{system_output}
%coremake `%{system_output}`
# 3a/ build the spec tools
%make_build -s -C spectool
# 3/ build the target
%make_build -s -C %{name}

%install
# the result executables will be in <root>/release/<system_output>
%__install -D -m 755 release/`%{system_output}`/%{name} %{buildroot}%{_bindir}/%{name}
(cd %{buildroot}%{_bindir} && %__ln_s %{name} mkWDclean)

%files
%{_bindir}/*

%changelog
* Mon Aug 27 2018 Honore Doktorr <hdfssk@gmail.com> - 0.5.2-1
- Initial packaging
